package io.nexilis.service.data.daos

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.nexilis.service.data.entities.*

@Dao
interface InquiryDao {

    @Query("select * from Inquiry")
    fun getAll(): LiveData<List<Inquiry>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entity: Inquiry)

    @Query("delete from Inquiry")
    suspend fun deleteAll()

}